package com.nisum.mytime.model;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.format.annotation.DateTimeFormat.ISO;

import com.poiji.annotation.ExcelCellName;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
@ToString
@Document(collection = "EmployeeDetails")
public class EmployeeRoles implements Serializable {

    private static final long serialVersionUID = 1L;

    @Id
    private String id;

    @ExcelCellName("Employee ID")
    private String employeeId;

    @ExcelCellName("Employee Name")
    private String employeeName;

    @ExcelCellName("Email ID")
    private String emailId;

    @ExcelCellName("Role")
    private String role;

    @ExcelCellName("Designation")
    private String designation;

    @ExcelCellName("Shift")
    private String shift;

    @ExcelCellName("Primary Skill")
    private String baseTechnology;

    @ExcelCellName("Domain")
    private String domain;

    @ExcelCellName("Location")
    private String empLocation;

    @ExcelCellName("Skills")
    private String technologyKnown;

    @ExcelCellName("Primary Mobile")
    private String mobileNumber;

    @ExcelCellName("Alternate Mobile")
    private String alternateMobileNumber;

    @ExcelCellName("Personal Email")
    private String personalEmailId;

    @ExcelCellName("Functional Group")
    private String functionalGroup;

    @ExcelCellName("Employment Status")
    private String empStatus;

    @ExcelCellName("Employment Type")
    private String employmentType;

    @ExcelCellName("Date Of Joining")
    @DateTimeFormat(iso = ISO.DATE)
    private Date dateOfJoining;

    @ExcelCellName("Date Of Birth")
    @DateTimeFormat(iso = ISO.DATE)
    private Date dateOfBirth;

    @ExcelCellName("Gender")
    private String gender;

    @ExcelCellName("Created")
    private Date createdOn;

    @ExcelCellName("Last Modified")
    private Date lastModifiedOn;

}
